Subject: Optional command line argument is ignored

Description

Consider the following command as part of a command controller:

public function importCommand($packageKey = NULL) {
var_dump($packageKey);

Call the command with /flow3 foo:import MyPackage.Key

Expected result is MyPackage.Key, but actual result is NULL

Associated revisions

Revision ebad466a3 - 2011-08-25 13:57 - Bastian Waidelich

[M][TASK] Some improvements to CLI handling

- Fixes optional argument handling

- Improves readability of help index

- Help for single commands (usage: "./flow3 help <command>")

- Adds convenience methods output(), outputLine() and quit() to
CommandController as wrapper for response object

- Adjust existing commands to the new syntax

This is a breaking change because $this->response->appendContent() will no longer append
a line break. Use $this->outputLine() instead.

Change-Id: 1eb10c861b5671536ead54a2e3b74aa96584f0abd

Related: #28231
Resolves: #28306

History

#1 - 2011-07-20 09:57 - Bastian Waidelich
- Status changed from New to Accepted

- Assigned To set to Bastian Waidelich

#2 - 2011-07-20 10:59 - Robert Lemke
Another symptom of this bug is the kickstart:action controller command:

The second argument "controller name" is optional and its default is "Standard". Currently it is not possible to kickstart any other than a Standard

controller, no matter what name is passed as the second argument.

#3 - 2011-08-23 11:21 - Robert Lemke

- Subject changed from Optional command line augment is ignored to Optional command line argument is ignored

#4 - 2011-08-24 08:10 - Karsten Dambekalns

Just tested the kickstart:actioncontroller example and that worked fine... Seems fixed already.

#5 - 2011-08-24 10:22 - Robert Lemke

- Status changed from Accepted to Resolved

- % Done changed from 0 to 100

yes, that has been resolved
